Bug 473716 - (perl-Data-TreeDumper) Review Request: perl-Data-TreeDumper - Improved replacement for Data::Dumper
Review Request: perl-Data-TreeDumper - Improved replacement for Data::Dumper
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Data-Tree...
:
Depends On:
Blocks: 473718 perl-Eval-Context 473727
  Show dependency treegraph
 
Reported: 2008-11-29 22:45 EST by Chris Weyl
Modified: 2012-01-27 07:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-07 20:38:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-29 22:45:40 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Data-TreeDumper.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Data-TreeDumper-0.35-1.fc9.src.rpm

Description:
Data::Dumper and other modules do a great job of dumping data structures.
Their output, however, often takes more brain power to understand than the
data itself.  When dumping large amounts of data, the output can be
overwhelming and it can be difficult to see the relationship between each
piece of the dumped data.

Data::TreeDumper also dumps data in a tree-like fashion but hopefully in a
format more easily understood.
Comment 1 Chris Weyl 2008-11-29 22:46:32 EST
This package is a dependency of App::Asciio.

http://koji.fedoraproject.org/koji/taskinfo?taskID=962901
Comment 2 manuel wolfshant 2008-11-30 10:56:25 EST
Almost there...
[wolfy@wolfy]$ rpmlint perl-Data-TreeDumper-0.35-1.fc11.noarch.rpm
perl-Data-TreeDumper.noarch: W: doc-file-dependency /usr/share/doc/perl-Data-TreeDumper-0.35/tie_bless.pl perl(AutoLoader)
perl-Data-TreeDumper.noarch: W: doc-file-dependency /usr/share/doc/perl-Data-TreeDumper-0.35/tie_bless.pl perl(Tie::Handle)
perl-Data-TreeDumper.noarch: W: doc-file-dependency /usr/share/doc/perl-Data-TreeDumper-0.35/tie_bless.pl perl(Tie::Array)
perl-Data-TreeDumper.noarch: W: doc-file-dependency /usr/share/doc/perl-Data-TreeDumper-0.35/tie_bless.pl perl(Devel::Peek)
perl-Data-TreeDumper.noarch: W: doc-file-dependency /usr/share/doc/perl-Data-TreeDumper-0.35/tie_bless.pl perl(Tie::Scalar)
perl-Data-TreeDumper.noarch: W: doc-file-dependency /usr/share/doc/perl-Data-TreeDumper-0.35/tie_bless.pl perl(Tie::Hash)
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

[wolfy@wolfy]$ rpm -qpv --requires perl-Data-TreeDumper-0.35-1.fc11.noarch.rpm
perl >= 0:5.006
perl(:MODULE_COMPAT_5.10.0)
perl(AutoLoader)
perl(Carp)
perl(Check::ISA)
perl(Class::ISA)
perl(Data::TreeDumper)
perl(Devel::Peek)
perl(Exporter)
perl(Sort::Naturally)
perl(Text::Wrap)
perl(Tie::Array)
perl(Tie::Handle)
perl(Tie::Hash)
perl(Tie::Scalar)
perl(strict)
perl(warnings)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

the above are triggered by http://koji.fedoraproject.org/koji/getfile?taskID=962902&name=perl-Data-TreeDumper-0.35-1.fc11.noarch.rpm (and after a local mock build)
Comment 3 Chris Weyl 2008-12-01 03:41:59 EST
It appears that rpm in F-10+ is "finding" more provides/requires than any previous version of rpm.  I've filed bug 473874 to address this; if it isn't resolved quickly I'll update the spec to filter these errant deps.
Comment 4 manuel wolfshant 2008-12-01 08:29:35 EST
IIRC, chmod -x on doc files is enough
Comment 5 Chris Weyl 2008-12-01 12:39:38 EST
In F-9 and previous, yes, but not in F-10+ levels of rpm.

They are marked w/o exec:

drwxr-xr-x  /usr/lib/perl5/vendor_perl/5.10.0/Data
-rw-r--r--  /usr/lib/perl5/vendor_perl/5.10.0/Data/TreeDumper.pm
drwxr-xr-x  /usr/share/doc/perl-Data-TreeDumper-0.35
-rw-r--r--  /usr/share/doc/perl-Data-TreeDumper-0.35/Changes
-rw-r--r--  /usr/share/doc/perl-Data-TreeDumper-0.35/README
-rw-r--r--  /usr/share/doc/perl-Data-TreeDumper-0.35/Todo
-rw-r--r--  /usr/share/doc/perl-Data-TreeDumper-0.35/colors.pl
-rw-r--r--  /usr/share/doc/perl-Data-TreeDumper-0.35/filters.pl
-rw-r--r--  /usr/share/doc/perl-Data-TreeDumper-0.35/scalar_and_origine.pl
-rw-r--r--  /usr/share/doc/perl-Data-TreeDumper-0.35/test.pl
-rw-r--r--  /usr/share/doc/perl-Data-TreeDumper-0.35/tie_bless.pl
-rw-r--r--  /usr/share/doc/perl-Data-TreeDumper-0.35/try_it.pl
-rw-r--r--  /usr/share/doc/perl-Data-TreeDumper-0.35/usage.pl
-rw-r--r--  /usr/share/man/man3/Data::TreeDumper.3pm.gz
Comment 6 Chris Weyl 2008-12-04 23:12:24 EST
Well, I guess bug 473874 isn't going to be resolved anytime soon.
Comment 8 manuel wolfshant 2008-12-05 06:27:24 EST
No further blockers, package APPROVED
Comment 9 Chris Weyl 2008-12-07 00:32:46 EST
New Package CVS Request
=======================
Package Name: perl-Data-TreeDumper
Short Description: Improved replacement for Data::Dumper
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC:
Comment 10 Kevin Fenzi 2008-12-07 19:37:00 EST
cvs done.
Comment 11 Petr Pisar 2012-01-27 04:35:19 EST
Package Change Request
======================
Package Name: perl-Data-TreeDumper
New Branches: 
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.
Comment 12 Gwyn Ciesla 2012-01-27 07:57:23 EST
Done.

Note You need to log in before you can comment on or make changes to this bug.